Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface RosettaNetServiceDefaultMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, TPMBaseMBean, weblogic.management.WebLogicMBean

    public interface RosettaNetServiceDefaultMBean

extends TPMBaseMBean

This class specifies RosettaNet protocol-specific configuration attributes for a service.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getServiceContentSchema()` Identifies the XML schema to use for service content validation.
`boolean` | `isDTDValidation()` This specifies what kind of XML validation is performed.
`boolean` | `isValidateServiceContent()` Determines whether that the service content for all Rosettanet messages sent and received by this role should be validated
`boolean` | `isValidateServiceHeader()` Determines whether that the service headers for all Rosettanet messages sent and received by this role should be validated
`ServiceMBean` | `retrieveService()` Retrieves the RosettaNet based service, for which these defaults belong
`void` | `setDTDValidation(boolean newValue)` Specifies whether to use DTD validation or not for validating service content or service headers
`void` | `setServiceContentSchema(String newValue)` Specifies the location on the file systems where the Schemas are located
`void` | `setValidateServiceContent(boolean newValue)` If this is set to true, then the service content for all Rosettanet messages sent and received by this role are validated.
`void` | `setValidateServiceHeader(boolean newValue)` If this is set to true, then the service headers for all Rosettanet messages sent and received by this role are validated.
`void` | `updateAll(String serviceContentSchema, boolean useDtdValidation, boolean validateServiceContent, boolean validateServiceHeader)` Updates rosettanet service defaults

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getServiceContentSchema

    String getServiceContentSchema()

  Identifies the XML schema to use for service content validation. This schema is only used if dtd validation is turned off and service content validation is true

  Returns:
    the absolute location of service content schema's

### setServiceContentSchema

    void setServiceContentSchema(String newValue)
                                 throws javax.management.InvalidAttributeValueException

  Specifies the location on the file systems where the Schemas are located

  Parameters:
    `newValue` - - absolute path to service content schemas
  Throws:
    `javax.management.InvalidAttributeValueException`

### isDTDValidation

    boolean isDTDValidation()

  This specifies what kind of XML validation is performed. If set DTD validation is performed, otherwise XML schema validation is performed. Validation is only performed if Service content or header is also set.

  Returns:
    determines, whether to perform dtd validation or not

### setDTDValidation

    void setDTDValidation(boolean newValue)
                          throws javax.management.InvalidAttributeValueException

  Specifies whether to use DTD validation or not for validating service content or service headers

  Parameters:
    `newValue` - - boolean, is specified to true, use dtd to validate, otherwise use XML schemas
  Throws:
    `javax.management.InvalidAttributeValueException`

### isValidateServiceContent

    boolean isValidateServiceContent()

  Determines whether that the service content for all Rosettanet messages sent and received by this role should be validated

  Returns:
    boolean - if true validate service contents - if false don't validate service contents

### setValidateServiceContent

    void setValidateServiceContent(boolean newValue)
                                   throws javax.management.InvalidAttributeValueException

  If this is set to true, then the service content for all Rosettanet messages sent and received by this role are validated.

  Parameters:
    `newValue` -
  Throws:
    `javax.management.InvalidAttributeValueException`

### isValidateServiceHeader

    boolean isValidateServiceHeader()

  Determines whether that the service headers for all Rosettanet messages sent and received by this role should be validated

  Returns:
    boolean - if true validate service headers - if false don't validate service headers

### setValidateServiceHeader

    void setValidateServiceHeader(boolean newValue)
                                  throws javax.management.InvalidAttributeValueException

  If this is set to true, then the service headers for all Rosettanet messages sent and received by this role are validated.

  Parameters:
    `newValue` - - new value for attribute ValidateServiceHeader
  Throws:
    `javax.management.InvalidAttributeValueException`

### retrieveService

    ServiceMBean retrieveService()
                                 throws ManagementException

  Retrieves the RosettaNet based service, for which these defaults belong

  Throws:
    `ManagementException` - - If the service could not be found or it is null

### updateAll

    void updateAll(String serviceContentSchema,
                   boolean useDtdValidation,
                   boolean validateServiceContent,
                   boolean validateServiceHeader)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates rosettanet service defaults

  Parameters:
    `serviceContentSchema` - - service contents schemas
    `useDtdValidation` - - true if dtd's are used for validation
    `validateServiceContent` - - true if validate service content
    `validateServiceHeader` - - true if validate service header
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD